# RegionCheckRequest.java

    package io.github.js0ny.ilp_coursework.data.request;

    import io.github.js0ny.ilp_coursework.data.common.LngLat;
    import io.github.js0ny.ilp_coursework.data.common.Region;

    /**
     * Represents the data transfer object for a region check request.
     *
     * <p>This record encapsulates the data for endpoint /api/v1/isInRegion and serves as the data
     * contract for this API operation
     *
     * <p>
     *
     * @param position The coordinate to be checked
     * @param region The region for the check. This is a nested object represented by {@link Region}
     * @see io.github.js0ny.ilp_coursework.controller.ApiController#getIsInRegion(RegionCheckRequest)
     */
    public record RegionCheckRequest(LngLat position, Region region) {}